Package com.collibra.dgc.core.api.dto.mapping

# Class GetMappingByMappedResourceRequest

Object
GetMappingByMappedResourceRequest

All Implemented Interfaces:
  `Serializable`

public class GetMappingByMappedResourceRequest extends Object implements Serializable
The criteria for searching the mapping identified by its external system IDs and mapped resource ID.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `GetMappingByMappedResourceRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMappingByMappedResourceRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GetMappingByMappedResourceRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getExternalSystemId()`
  The ID of the external system that the mapped resource belongs to.
  `UUID`
  `getMappedResourceId()`
  The ID of the mapped resource.
  `int`
  `hashCode()`
  `void`
  `setExternalSystemId(String externalSystemId)`
  The ID of the external system that the mapped resource belongs to.
  `void`
  `setMappedResourceId(UUID mappedResourceId)`
  The ID of the mapped resource.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetMappingByMappedResourceRequest

    public GetMappingByMappedResourceRequest()

- ## Method Details

  - ### builder

    public static GetMappingByMappedResourceRequest.Builder builder()

  - ### getExternalSystemId

    public String getExternalSystemId()
    The ID of the external system that the mapped resource belongs to.

  - ### getMappedResourceId

    public UUID getMappedResourceId()
    The ID of the mapped resource.

  - ### setExternalSystemId

    public void setExternalSystemId(String externalSystemId)
    The ID of the external system that the mapped resource belongs to.

  - ### setMappedResourceId

    public void setMappedResourceId(UUID mappedResourceId)
    The ID of the mapped resource.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`